%define upstream_name    TAP-Formatter-JUnit
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    TAP formatter, turning TAP into JUnit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/TAP/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:     TAP-Formatter-JUnit-0.09-hashorder.patch

BuildRequires: perl(File::Slurp)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::NonMoose)
BuildRequires: perl(TAP::Harness) >= 3.120.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::XML)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(XML::Generator)
BuildArch:  noarch

%description
*This code is currently in alpha state and is subject to change.*

'TAP::Formatter::JUnit' provides JUnit output formatting for
'TAP::Harness'.

By default (e.g. when run with _prove_), the _entire_ test suite is
gathered together into a single JUnit XML document, which is then displayed
on 'STDOUT'. You can, however, have individual JUnit XML files dumped for
each individual test, by setting c<PERL_TEST_HARNESS_DUMP_TAP> to a
directory that you would like the JUnit XML dumped to. Note, that this will
*also* cause 'TAP::Harness' to dump the original TAP output into that
directory as well (but IMHO that's ok as you've now got the data in two
parsable formats).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch1 -p0

%build
%{__perl} Build.PL installdirs=vendor

./Build


%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tap2junit
/usr/share/man/man1/tap2junit.1.bz2


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.110.0-4pclos2017
- rebuild against updates

